/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DBSDNETWORKING_H_
#define __DBSDNETWORKING_H_

#include <qlayout.h>
#include <qlabel.h>

#include <dbsdrootonlykcmodule.h>

class	modNetworks;

class DBSDNetworking: public DBSDRootOnlyKCModule {
	Q_OBJECT
	
public:
	DBSDNetworking(QWidget * = NULL,  const char * = NULL,  const QStringList & = QStringList());
	virtual  ~DBSDNetworking();
	
protected:
	QString	kcmoduleName();
};

#endif
