/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DBSDPACKAGES_H_
#define __DBSDPACKAGES_H_

#include <kcmodule.h>

class QLabel;

class DBSDPackages: public KCModule
{
    Q_OBJECT

public:
	DBSDPackages(QWidget *parent = NULL, const char *name = NULL,  const QStringList& = QStringList());
	virtual	~DBSDPackages();

private:
   QLabel *lbl;
   QLabel *pix;
};

#endif
