/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __INSTALLEDPKGLISTVIEWITEM_H
#define __INSTALLEDPKGLISTVIEWITEM_H

#include <qlistview.h>

class InstalledPkgListViewItem : public QListViewItem {
public:
	InstalledPkgListViewItem(QListView *lv, QString a, QString b, QString c);

	virtual int compare(QListViewItem *i, int col, bool asc) const;
};

#endif /* __INSTALLEDPKGLISTVIEWITEM_H */
