TARGET = desktopbsd-ui
TEMPLATE = lib
CONFIG += warn_on dll

INSTALLS += graphics-actions-16x16 \
            graphics-apps-22x22 \
            graphics-apps-32x32 \
            target
target.path = /usr/local/lib 

graphics-apps-32x32.files += graphics/apps-32x32/* 
graphics-apps-32x32.path = /usr/local/share/icons/hicolor/32x32/apps 

graphics-apps-22x22.files += graphics/apps-22x22/* 
graphics-apps-22x22.path = /usr/local/share/icons/hicolor/22x22/apps 

graphics-actions-16x16.files += graphics/actions-16x16/* 
graphics-actions-16x16.path = /usr/local/share/icons/hicolor/16x16/actions 

TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so

INCLUDEPATH += ../libdesktopbsd
QMAKE_LIBDIR = ../libdesktopbsd
LIBS += -ldesktopbsd \
        -ldevinfo
TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so

FORMS += frmadduser.ui \
         frmchangepasswd.ui \
         frmlan.ui \
         frmselif.ui \
         frmwlan.ui \
         lanconfig.ui \
         moddevinfo.ui \
         moddiskpart.ui \
         moddisksel.ui \
         modmount.ui \
         modnetworks.ui \
         modthrottling.ui \
         frmactionlist.ui \
         frmterminalactionlist.ui \
         modusers.ui \
         frmdeinstallpkgs.ui \
         frmtextbrowser.ui \
         frmmodulecontainer.ui \
         moddisksetup.ui \
         frmcleanports.ui \
         frmterminaldisplay.ui \
         frmterminal.ui

IMAGES += mounted.png \
          slice.png \
          unmounted.png

HEADERS += dbsdglobal.h \
           dbsdkiconloader.h \
           dbsdqmimeiconloader.h \
           dbsdiconloader.h \
           actionlist.h \
           terminaldisplay.h \
           DBSDModule.h \
           __devinfo.h \
           dbsdmodule.h \
           dialogs.h \
           translation.h \
           terminalformatter.h \
           portsupdateformatter.h \
           installedpkglistviewitem.h \
           porttoolsformatter.h \
           terminal.h

SOURCES += dbsdglobal.cpp \
           terminaldisplay.cpp \
           actionlist.cpp \
           dbsdmodule.cpp \
           dialogs.cpp \
           dbsdiconloader.cpp \
           translation.cpp \
           terminalformatter.cpp \
           portsupdateformatter.cpp \
           installedpkglistviewitem.cpp \
           porttoolsformatter.cpp \
           terminal.cpp
