/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PORTSUPDATEFORMATTER_H
#define __PORTSUPDATEFORMATTER_H

#include <qobject.h>
#include <terminalformatter.h>

class QColor;
class TerminalDisplay;

class PortsUpdateFormatter : public TerminalFormatter {
	Q_OBJECT

public:
	PortsUpdateFormatter(TerminalDisplay *, const char *name = NULL);
	QColor format(const QString&);
};

#endif /* __PORTSUPDATEFORMATTER_H */
