/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PORTTOOLSFORMATTER_H
#define __PORTTOOLSFORMATTER_H

#include <qobject.h>
#include <terminalformatter.h>

class PortToolsFormatter : public TerminalFormatter {
	Q_OBJECT

public:
	PortToolsFormatter(TerminalDisplay *, const char *name = NULL);
	QColor format(const QString&);
};

#endif /* __PORTTOOLSFORMATTER_H */
