/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PORTSDBUPDATEENGINE_H
#define __PORTSDBUPDATEENGINE_H

class UnixProcess;

/**
  * @brief Updates the portsdb.
  *
  * This class creates a QProcess that updates
  * the ports database.
  */
class PortsDBUpdateEngine{
public:
	PortsDBUpdateEngine();

	UnixProcess  * getProcess();
};

#endif /* __PORTSDBUPDATEENGINE_H */
