/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <qapplication.h>
#include <dbsdglobal.h>
#include <dbsdqmimeiconloader.h>
#include "frmInstallationWizard.h"

int main(int argc, char ** argv)
{
	QApplication a(argc, argv);
	
	DBSDQMimeIconLoader  iconLoader;
	DBSDGlobal::setIconLoader(&iconLoader);
	
	frmInstallationWizard w;
	w.show();
	a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
	return a.exec();
}
