TARGET = kcm_desktopbsd
TEMPLATE = lib
CONFIG += warn_on create_libtool create_prl

INSTALLS += peripherals \
            network \
            security \
            system \
            target

target.path = /usr/local/lib/kde3 

system.files += dbsdpackages.desktop 
system.path = /usr/local/share/applnk/Settings/System/ 

security.files += dbsdusers.desktop 
security.path = /usr/local/share/applnk/Settings/Security 

network.files += dbsdnetworking.desktop 
network.path = /usr/local/share/applnk/Settings/Network 

peripherals.files += dbsddevinfo.desktop dbsdmount.desktop dbsddiskpart.desktop 
peripherals.path = /usr/local/share/applnk/Settings/Peripherals 

TARGETDEPS += ../libdesktopbsd-ui/libdesktopbsd-ui.so

INCLUDEPATH += ../libdesktopbsd-ui ../libdesktopbsd
QMAKE_LIBDIR = ../libdesktopbsd-ui 
LIBS += -ldesktopbsd-ui -ldisk

FORMS += LoadingError.ui \
         NotRoot.ui

HEADERS += dbsddevinfo.h \
           dbsddiskpart.h \
           dbsdinitglobal.h \
           dbsdkcmodule.h \
           dbsdmount.h \
           dbsdnetworking.h \
           dbsdpackages.h \
           dbsdrootonlykcmodule.h \
           dbsdusers.h 

SOURCES += dbsddevinfo.cpp \
           dbsddiskpart.cpp \
           dbsdinitglobal.cpp \
           dbsdkcmodule.cpp \
           dbsdmount.cpp \
           dbsdnetworking.cpp \
           dbsdpackages.cpp \
           dbsdrootonlykcmodule.cpp \
           dbsdusers.cpp
