/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DOMAINNAME_H
#define __DOMAINNAME_H

class QString;

/** @brief Reads or sets this system's domain name. */
class Domainname {
public:
   static  bool     set(const QString&);
   static  QString  get();
};

#endif /* __DOMAINNAME_H */
