/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __FASTESTCVSUPENGINE_H
#define __FASTESTCVSUPENGINE_H

class QString;
class QProcess;

/** @brief Small interface to the fastest_cvsup script. */
class FastestCVSUpEngine {
public:
	static QProcess * getProcess();
	
private:
	static QString getLocale();
};

#endif /* __FASTESTCVSUPENGINE_H */
