/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __HOSTNAME_H
#define __HOSTNAME_H

class QString;

/** @brief Reads or sets this system's host name. */
class Hostname {
public:
   static  bool     set(const QString &);
   static  QString  get();
};

#endif /* __HOSTNAME_H */
